dm-stripe.c: The stripe width must be at least the page size.
--- diff/drivers/md/dm-stripe.c	2004-03-01 15:43:11.000000000 +0000
+++ source/drivers/md/dm-stripe.c	2004-03-01 15:43:18.000000000 +0000
@@ -97,7 +97,8 @@ static int stripe_ctr(struct dm_target *
 	/*
 	 * chunk_size is a power of two
 	 */
-	if (!chunk_size || (chunk_size & (chunk_size - 1))) {
+	if (!chunk_size || (chunk_size & (chunk_size - 1)) ||
+	    (chunk_size < (PAGE_SIZE >> SECTOR_SHIFT))) {
 		ti->error = "dm-stripe: Invalid chunk size";
 		return -EINVAL;
 	}
